/* 
 * ftelnetd - fake telnet daemon
 *
 * sig_handle.c
 *
 * Tue Dec 12 22:47:31 CET 2006
 *
 * by Levent Kayan
 * levent[at]corehack[dot]org
 *
 */

#include "sighandle.h"
#include "ftelnetd.h"
#include "ferror.h"

#include <stdio.h>
#include <stdlib.h>


/* we don't want to have zombies :) */
void sig_chld()
{
   pid_t pid;
   int stat = 0;

   if ( (pid = waitpid(-1, &stat, WNOHANG)) < 0 ) {
      if (errno != ECHILD) {
         ERR_GEN;
      }
   }

   return;
}

/* EOF */
