/* 
 *
 * ftelnetd - fake telnet daemon
 * 
 * usage.c
 * Usage/help output for you. :) 
 *
 * Tue Dec 12 22:47:31 CET 2006
 *
 * by Levent Kayan
 * levent[at]corehack[dot]org
 *
 */

#include <stdio.h>
#include <stdlib.h>


void usage(char *p_name)
{
   printf("ftelnetd - http://www.corehack.org/\n");
   printf("-----------------------------------\n");
   printf("usage: %s <fakemode> [options]\n", p_name);
   printf("options:\n");
   printf("\t-f <arg> - fake mode, which telnetd to fake? 5 for list\n");
   printf("\t-p <arg> - port to bind the server (default 23)\n");
   printf("\t-g <arg> - group id to drop the server to (default 0)\n");
   printf("\t-u <arg> - user id to drop the server to (default 0)\n");
   printf("\t-l <arg> - logfile name (default ftelnetd.log)\n");
   printf("\t-d       - daemonise ftelnetd\n");
   printf("\t-v       - prints ftelnetd version\n");
   printf("\t-h       - prints this help :)\n");

   exit(EXIT_SUCCESS);
}

/* EOF */
